Name:           nsxiv
Version:        33
Release:        %mkrel 2
Summary:        Neo (or New or Not) Simple (or small or suckless) X Image Viewer
Group:          Graphics/Viewers
License:        GPLv2+
URL:            https://nsxiv.codeberg.page
Source0:        https://github.com/nsxiv/nsxiv/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  desktop-file-utils
BuildRequires:  giflib-devel
BuildRequires:  inotify-tools-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xft)

Obsoletes:      sxiv < 26-2
Provides:       sxiv = %{version}-%{release}

%description
nsxiv (the Neo Simple X Image Viewer) is a fork of the now-unmaintained
sxiv project, with the purpose of being a drop-in replacement for sxiv,
maintaining its interface, and adding simple, sensible features. nsxiv aims
to be easy to modify and customise.

%prep
%autosetup -p1

# use mageia compile flags
sed -e "s/CFLAGS =/CFLAGS +=/" -i config.mk
# Add "Category" tag:
sed -e "$ a Categories=Graphics;Viewer;" -i etc/nsxiv.desktop

%build
%set_build_flags
%make_build

%install
%make_install PREFIX=%{_prefix} install-all

%files
%license LICENSE
%doc README.md
%{_pkgdocdir}/examples/
%{_bindir}/nsxiv
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 33-2.mga10
+ Revision: 2235400
- Mageia 10 Mass Rebuild

* Mon Feb 03 2025 daviddavid <daviddavid> 33-1.mga10
+ Revision: 2144926
- new version: 33

* Fri Sep 27 2024 daviddavid <daviddavid> 32-1.mga10
+ Revision: 2101445
- new version: 32
- swith to the new fork nsxiv (mga#33590)

* Thu Sep 26 2024 daviddavid <daviddavid> 26-1.mga10
+ Revision: 2101368
- new version: 26 (thanks to Aurelian R, mga#33590)

* Mon Mar 28 2022 umeabot <umeabot> 1.2-7.mga9
+ Revision: 1830970
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.2-6.mga8
+ Revision: 1517309
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.2-5.mga7
+ Revision: 1301268
- Mageia 7 Mass Rebuild

* Thu Jan 07 2016 luigiwalser <luigiwalser> 1.2-4.mga6
+ Revision: 920498
- add patch to fix build with giflib5
- rebuild for giflib

* Wed Oct 15 2014 umeabot <umeabot> 1.2-3.mga5
+ Revision: 743877
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-2.mga5
+ Revision: 689647
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 tv <tv> 1.2-1.mga5
+ Revision: 672663
- adjust file list
- BR giflib-devel
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1.0-4.mga4
+ Revision: 527512
- Mageia 4 Mass Rebuild

* Sat Jun 08 2013 fwang <fwang> 1.0-3.mga4
+ Revision: 440469
- simplify br

* Mon Jan 14 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 383862
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 tv <tv> 1.0-1.mga3
+ Revision: 309943
- imported package sxiv

